Package org.eclipse.search.ui

## Interface ISearchPage

All Superinterfaces:
  `IDialogPage`

    public interface ISearchPage
    extends IDialogPage

Interface to be implemented by contributors to the extension point `org.eclipse.search.searchPages`. Represents a page in the search dialog. Implemented typically subclass `DialogPage`.

The search dialog calls the `performAction()` method when the 'Search' button is pressed.

If the search page additionally implements `IReplacePage`, a 'Replace' button will be shown in the search dialog.

See Also:
  `IDialogPage`, `DialogPage`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `performAction()` Performs the action for this page.
`void` `setContainer​(ISearchPageContainer container)` Sets the container of this page.

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

### Method Detail

#### performAction

    boolean performAction()

Performs the action for this page. The search dialog calls this method when the Search button is pressed.

Returns:
  `true` if the dialog can be closed after execution

#### setContainer

    void setContainer​(ISearchPageContainer container)

Sets the container of this page. The search dialog calls this method to initialize this page. Implementations may store the reference to the container.

Parameters:
  `container` - the container for this page